Subject: Re: bug#20182: 24.4.91; [GTK3] Vertical scroll bar is "indented" from right edge of frame

From: martin rudalics <[email-masked]>
Date: Mon, 23 Mar 2015 22:48:28 +0100

> I'm guessing there must be a way to get the correct value from the
 > toolkit rather than hard coding it to 16?

It's not hardcoded to 16, it's rounded up.  The respective code is

   gtk_widget_style_get (wscroll, "slider-width", &w, "trough-border", &b, NULL);
   ...
   w += 2*b;
   if (w < 16) w = 16;

so we do get it from the toolkit but we adjust it thereafter.  For the
height of the horizontal scroll bars I used

   gtk_widget_style_get (wscroll, "slider-width", &w, "trough-border", &b, NULL);
   ...
   w += 2*b;
   if (w < 12) w = 12;

and you should be able to verify that this doesn't cause the same
problem.  I asked Jan about this and he answered that 16 was used
because of problems with Gtk2 (IIRC).  Maybe he can tell more.

martin